Package com.databricks.jdbc.model.telemetry

## Class TelemetryRequest

- java.lang.Object
- - com.databricks.jdbc.model.telemetry.TelemetryRequest

    public class TelemetryRequest
    extends Object

### Constructor Summary

Constructors
`TelemetryRequest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`List<String>` `getProtoLogs()`
`Long` `getUploadTime()`
`TelemetryRequest` `setProtoLogs​(List<String> protoLogs)`
`TelemetryRequest` `setUploadTime​(Long uploadTime)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TelemetryRequest

    public TelemetryRequest()

### Method Detail

#### getUploadTime

    public Long getUploadTime()

#### setUploadTime

    public TelemetryRequest setUploadTime​(Long uploadTime)

#### getProtoLogs

    public List<String> getProtoLogs()

#### setProtoLogs

    public TelemetryRequest setProtoLogs​(List<String> protoLogs)